Skip to main content
GET
Python
This API version has reached end of life. See supported versions.

Authorizations

X-API-Key
string
header
required

The API key to use for authentication. Retrieve your API key from the Miru dashboard.

Query Parameters

offset
integer
default:0

The offset of the items to return. An offset of 10 with a limit of 10 returns items 11-20.

Required range: x >= 0
limit
integer
default:10

The maximum number of items to return. A limit of 15 with an offset of 0 returns items 1-15.

Required range: 1 <= x <= 100
order_by
enum<string>
default:created_at:desc

The order to sort the config instances.

Available options:
id:asc,
id:desc,
created_at:desc,
created_at:asc
expand[]
enum<string>[]

The fields to expand in the config instance list.

Available options:
total_count,
content,
config_schema,
device,
config_type
id
string

The config instance ID to filter by.

Example:

"cfg_inst_123"

target_status
enum<string>

The config instance target status to filter by. Desired state of the config instance.

  • Created: config instance is created and can be deployed in the future
  • Deployed: config instance is available for consumption on the device
  • Removed: config instance is available for historical reference but cannot be deployed and is not active on the device
Available options:
created,
deployed,
removed
activity_status
enum<string>

The config instance activity status to filter by. Last known activity state of the config instance.

  • Created: config instance has been created and can be deployed in the future
  • Queued: config instance is waiting to be received by the device; will be deployed as soon as the device is online
  • Deployed: config instance is currently available for consumption on the device
  • Removed: the config instance is available for historical reference but cannot be deployed and is not active on the device
Available options:
created,
queued,
deployed,
removed
error_status
enum<string>

The config instance error status to filter by. Last known error state of the config instance deployment.

  • None: there are no errors with the config instance deployment
  • Retrying: an error has been encountered and the agent is attempting to try again to reach the target status
  • Failed: a fatal error has been encountered; the config instance is archived and (if deployed) removed from the device
Available options:
none,
failed,
retrying
device_id
string

The device ID to filter by.

Example:

"dvc_123"

config_schema_id
string

The config schema ID to filter by.

Example:

"cfg_sch_123"

config_type_id
string

The config type ID to filter by.

Example:

"cfg_typ_123"

Response

200 - application/json

Successfully listed the config instances.

object
enum<string>
required
Available options:
list
Example:

"list"

total_count
integer<int64>
required

The total number of items in the list. By default the total count is not returned. The total count must be expanded (using expand[]=total_count) to get the total number of items in the list.

limit
integer
default:10
required

The maximum number of items to return. A limit of 15 with an offset of 0 returns items 1-15.

Required range: 1 <= x <= 100
offset
integer
default:0
required

The offset of the items to return. An offset of 10 with a limit of 10 returns items 11-20.

Required range: x >= 0
has_more
boolean
required

True if there are more items in the list to return. False if there are no more items to return.

Example:

false

data
Config Instance · object[]
required
Last modified on May 27, 2026